/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-11-20
 * 描述            ：产品改判顺序配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.List;

import market.Qms.qcm.mapper.ComPscRPriMapper;

import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_PSC_R_PRI", namespace=ComPscRPriMapper.class)
public class ComPscRPri extends BaseVO implements Serializable {
	/** 
	 * 产品规范码
	 */ 
	@Id
	private String psc;
	public String getPsc() {
		return this.psc;
	}
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/** 
	 * 产品规范码
	 */ 
	@Id
	private String psc_pri;
	public String getPsc_pri() {
		return this.psc_pri;
	}
	public void setPsc_pri(String psc_pri) {
		this.psc_pri = psc_pri;
	}

	/** 
	 * 顺序号
	 */ 
	@Id
	private Long psc_seq;
	public Long getPsc_seq() {
		return this.psc_seq;
	}
	public void setPsc_seq(Long psc_seq) {
		this.psc_seq = psc_seq;
	}
	@Column
	private Integer seq;
	

	
	public Integer getSeq() {
		return seq;
	}
	public void setSeq(Integer seq) {
		this.seq = seq;
	}

	private String psc_desc;
	public String getPsc_desc() {
		return psc_desc;
	}
	public void setPsc_desc(String psc_desc) {
		this.psc_desc = psc_desc;
	}
	
	private String prod_code;
	public String getProd_code() {
		return prod_code;
	}
	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}
	
	private String prod_name;
	public String getProd_name() {
		return prod_name;
	}
	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}
	
	private String std_code;
	public String getStd_code() {
		return std_code;
	}
	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}
	
	private String std_name;
	public String getStd_name() {
		return std_name;
	}
	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}
	
	private String steel_code;
	public String getSteel_code() {
		return steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}
	
	private String steel_name;
	public String getSteel_name() {
		return steel_name;
	}
	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}
	/**
	 * 交货状态代码
	 */
	@Column
	private String delivery_state_code;
	/**
	 * 交货状态描述
	 */
	@Column
	private String delivery_state_desc;
	/**
	 * 厚度上限值
	 */
	@Column
	private String spec_max_h;
	/**
	 * 厚度下限值
	 */
	@Column
	private String spec_min_h;
	public String getDelivery_state_code() {
		return delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}
	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}
	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}
	public String getSpec_max_h() {
		return spec_max_h;
	}
	public void setSpec_max_h(String spec_max_h) {
		this.spec_max_h = spec_max_h;
	}
	public String getSpec_min_h() {
		return spec_min_h;
	}
	public void setSpec_min_h(String spec_min_h) {
		this.spec_min_h = spec_min_h;
	}
	
	private  List<ComPscRPri> deliverys;
	
	
	private List<ComPscRPri> specH;
	public List<ComPscRPri> getDeliverys() {
		return deliverys;
	}
	public void setDeliverys(List<ComPscRPri> deliverys) {
		this.deliverys = deliverys;
	}
	public List<ComPscRPri> getSpecH() {
		return specH;
	}
	public void setSpecH(List<ComPscRPri> specH) {
		this.specH = specH;
	}
	
	
	
	
}
